Package org.eclipse.lemminx.services

## Class SymbolInformationResult

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList<T>
      - - org.eclipse.lemminx.services.LimitList<org.eclipse.lsp4j.SymbolInformation>
        - - org.eclipse.lemminx.services.SymbolInformationResult

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Iterable<org.eclipse.lsp4j.SymbolInformation>`, `Collection<org.eclipse.lsp4j.SymbolInformation>`, `List<org.eclipse.lsp4j.SymbolInformation>`, `RandomAccess`

    public class SymbolInformationResult
    extends LimitList<org.eclipse.lsp4j.SymbolInformation>

Result for symbols information computation for the textDocument/documentSymbol request

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.lemminx.services.LimitList

`LimitList.ResultLimitExceededException`

### Field Summary

### Fields inherited from class java.util.AbstractList

`modCount`

### Constructor Summary

Constructors
`SymbolInformationResult​(AtomicLong limit)`

### Method Summary

### Methods inherited from class org.eclipse.lemminx.services.LimitList

`add, add, getLimit, isResultLimitExceeded`

### Methods inherited from class java.util.ArrayList

`addAll, addAll, clear, clone, contains, ensureCapacity, equals, forEach, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

### Methods inherited from class java.util.AbstractCollection

`containsAll, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream, stream, toArray`

### Methods inherited from interface java.util.List

`containsAll`

### Constructor Detail

#### SymbolInformationResult

    public SymbolInformationResult​(AtomicLong limit)